Subject: Re: FVWM: Time for a change . . .

From: Glen Lee Edwards <[email-masked]>
Date: Mon, 5 Nov 2001 23:35:25 -0600

Louis LeBlanc writes:
 > On 11/05/01 11:23 PM, Louis LeBlanc sat at the `puter and typed:
 > > The tricky thing  is how to I cycle  around just 2 (or if  I decide to
 > > add one  later, 3)  desktops with  a single key?  ISTR a  few messages
 > > going  around about  this  a short  while back,  but  I didn't  really
 > > understand the conclusion - or rather how it applied to my hangup.
 > ??  Still looking

This is what I have for a 12 desktop, 4 page each, setup:

Key KP_Enter    A     3      GotoDeskAndPage Prev
Key KP_Add      A     3      GotoDesk +1 0 12
Key KP_Subtract A     3      GotoDesk -1 0 12

You could change your setup to:

Key KP_Enter    A     M      GotoDesk +1 0 1

By pressing Alt and the KeyPad Enter Key you will be taken to the other
desktop on a two desktop setting.  If you want three desktops,

Key KP_Enter    A     M      GotoDesk +1 0 2

will work for you. The catch here is that this won't cycle you through the pages
of each desktop, it will just take you to the next desktop.
 
 > One more  little thing. Is it  possible to define a  style for certain
 > apps so that some are sticky across desktops and others aren't?

Just add in "Sticky" to the style option for the respective app:

Style "rxvt"        Icon term.xpm, NoTitle, Sticky

Glen
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].